This page was not yet optimized for use on mobile devices.
Protection Profile for a Smart Meter Gateway (SMGW-PP), Version 2.0
Profile details
| Status | active |
|---|---|
| Valid from | 19.12.2024 |
| Valid until | N/A |
| Scheme | π©πͺ DE |
| Category | Network and Network-Related Devices and Systems |
| Security level | EAL4+, AVA_VAN.5, ALC_FLR.2 |
Certification report
Extracted keywords
Security level
EAL 4, EAL 2, EAL 4 augmentedSecurity Assurance Requirements (SAR)
ALC_FLR.2, ALC_FLR, ALC_DEL, AVA_VAN.5, APE_INT.1, APE_CCL.1, APE_SPD.1, APE_OBJ.2, APE_ECD.1, APE_REQ.2Protection profiles
BSI-CC-PP-0073-V2-2024Evaluation facilities
SRC Security Research & ConsultingCertification process
11.12.2024, Evaluation Technical Report - Summary (ETR), SRC Security Research & Consulting GmbH (confidential documentProtection profile
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-256, HMAC, CMACAsymmetric Algorithms
ECDHE, ECDSA, ECCHash functions
SHA-256, SHA-384, SHA256, SHA384, SHA-512Schemes
MACProtocols
TLS, TLS v1.2, TLS v1.3, TLSv1.2, TLSv1.3, DTLS, PACERandomness
RNGBlock cipher modes
CBC, GCM, CCMTLS cipher suites
TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384Security level
EAL 4, EAL4, EAL 4 augmented, EAL4 augmentedClaims
OE.SM, OSP.SMSecurity Assurance Requirements (SAR)
ADV_ARC.1, ADV_FSP.4, ADV_IMP.1, ADV_TDS.3, ADV_ARC, AGD_OPE.1, AGD_PRE.1, ALC_FLR.2, ALC_LCD.1, ALC_CMC.4, ALC_CMS.4, ALC_DEL.1, ALC_DVS.1, ALC_TAT.1, ATE_COV.2, ATE_DPT.1, ATE_FUN.1, ATE_IND.2, AVA_VAN.5, AVA_VAN, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1Security Functional Requirements (SFR)
FAU_GEN, FAU_ARP, FAU_SAA, FAU_SAR, FAU_STG, FAU_GEN.2, FAU_STG.3, FAU_ARP.1, FAU_SAA.1, FAU_GEN.1, FAU_SAR.1, FAU_STG.5, FAU_STG.4, FAU_STG.2, FAU_GEN.2.1, FAU_STG.3.1, FAU_STG.3.2, FAU_STG.3.3, FCO_NRO.2, FCS_CKM, FCS_COP, FCS_CKM.6, FCS_CKM.1, FCS_CKM.2, FCS_CKM.5, FCS_COP.1, FCS_RBG.1, FCS_RNG.1, FCS_RNG, FCS_CKM.6.1, FCS_CKM.6.2, FDP_ACC.2, FDP_ACF.1, FDP_IFC.2, FDP_IFF.1, FDP_RIP.2, FDP_SDI.2, FDP_ITC.1, FDP_ITC.2, FDP_ACC, FDP_ACC.2.1, FDP_ACC.2.2, FDP_ACC.1, FDP_ACF, FDP_ACF.1.1, FDP_ACF.1.2, FDP_ACF.1.3, FDP_ACF.1.4, FDP_IFC, FDP_IFC.2.1, FDP_IFC.2.2, FDP_IFC.1, FDP_IFF, FDP_IFF.1.1, FDP_IFF.1.2, FDP_IFF.1.3, FDP_IFF.1.4, FDP_IFF.1.5, FDP_RIP, FDP_RIP.2.1, FDP_RIP.1, FDP_SDI, FDP_SDI.2.1, FDP_SDI.2.2, FDP_SDI.1, FIA_AFL, FIA_ATD, FIA_UAU, FIA_UID, FIA_USB, FIA_ATD.1, FIA_AFL.1, FIA_UAU.1, FIA_UAU.5, FIA_UID.1, FIA_USB.1, FIA_AFL.1.1, FIA_AFL.1.2, FIA_ATD.1.1, FIA_UAU.1.1, FIA_UAU.1.2, FIA_UAU.5.1, FIA_UAU.5.2, FIA_UID.1.1, FIA_UID.1.2, FIA_USB.1.1, FIA_USB.1.2, FIA_USB.1.3, FIA_UAU.2, FIA_UID.2, FIA_UAU.6, FMT_MOF, FMT_MTD, FMT_SMF, FMT_SMR, FMT_MOF.1, FMT_MTD.1, FMT_SMF.1, FMT_SMR.1, FMT_MSA.3, FMT_MOF.1.1, FMT_MTD.1.1, FMT_SMF.1.1, FMT_SMR.1.1, FMT_SMR.1.2, FMT_MSA, FPR_CON, FPR_CON.1, FPR_PSE, FPR_CON.1.2, FPR_CON.1.1, FPR_PSE.1, FPR_PSE.1.1, FPR_PSE.1.2, FPR_PSE.1.3, FPT_FLS, FPT_PHP, FPT_RPL, FPT_STM, FPT_TST, FPT_PHP.1, FPT_FLS.1, FPT_RPL.1, FPT_STM.1, FPT_STM.2, FPT_TST.1, FPT_FLS.1.1, FPT_PHP.1.1, FPT_PHP.1.2, FPT_RPL.1.1, FPT_RPL.1.2, FPT_STM.1.1, FPT_STM.2.1, FPT_TST.1.1, FPT_TST.1.2, FPT_TST.1.3, FTP_PRO, FTP_PRO.3, FTP_PRO.1, FTP_PRO.2, FTP_ITCProtection profiles
BSI-CC-PP-0073-V2, BSI-CCPP-0077Side-channel analysis
physical tampering, malfunctionCertification process
out of scope, The part of the delivery that is performed by and under responsibility of the MPO is declared as out of scope of the evaluation and certification. The MPO is assumed to perform this delivery according to theReferences
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.-
The protection profile data changed.
-
The protection profile data changed.
-
The protection profile data changed.
-
The protection profile data changed.
-
The protection profile data changed.
-
The protection profile was first processed.
{
"_id": "989546572bfeab5c",
"_type": "sec_certs.sample.protection_profile.ProtectionProfile",
"dgst": "989546572bfeab5c",
"heuristics": {
"_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
},
"pdf_data": {
"_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
"pp_filename": "pp0073V2b_pdf.pdf",
"pp_keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 3
},
"ECDH": {
"ECDHE": 6
},
"ECDSA": {
"ECDSA": 9
}
}
},
"cc_cert_id": {},
"cc_claims": {
"OE": {
"OE.SM": 4
},
"OSP": {
"OSP.SM": 4
}
},
"cc_protection_profile_id": {
"BSI": {
"BSI-CC-PP-0073-V2": 2,
"BSI-CCPP-0077": 1
}
},
"cc_sar": {
"ADV": {
"ADV_ARC": 2,
"ADV_ARC.1": 4,
"ADV_FSP.4": 1,
"ADV_IMP.1": 2,
"ADV_TDS.3": 1
},
"AGD": {
"AGD_OPE.1": 1,
"AGD_PRE.1": 1
},
"ALC": {
"ALC_CMC.4": 1,
"ALC_CMS.4": 1,
"ALC_DEL.1": 5,
"ALC_DVS.1": 1,
"ALC_FLR.2": 6,
"ALC_LCD.1": 3,
"ALC_TAT.1": 1
},
"ASE": {
"ASE_CCL.1": 1,
"ASE_ECD.1": 1,
"ASE_INT.1": 1,
"ASE_OBJ.2": 1,
"ASE_REQ.2": 1,
"ASE_SPD.1": 1,
"ASE_TSS.1": 1
},
"ATE": {
"ATE_COV.2": 1,
"ATE_DPT.1": 1,
"ATE_FUN.1": 1,
"ATE_IND.2": 1
},
"AVA": {
"AVA_VAN": 1,
"AVA_VAN.5": 8
}
},
"cc_security_level": {
"EAL": {
"EAL 4": 2,
"EAL 4 augmented": 2,
"EAL4": 5,
"EAL4 augmented": 1
}
},
"cc_sfr": {
"FAU": {
"FAU_ARP": 7,
"FAU_ARP.1": 1,
"FAU_GEN": 47,
"FAU_GEN.1": 23,
"FAU_GEN.2": 6,
"FAU_GEN.2.1": 1,
"FAU_SAA": 9,
"FAU_SAA.1": 4,
"FAU_SAR": 19,
"FAU_SAR.1": 7,
"FAU_STG": 27,
"FAU_STG.2": 7,
"FAU_STG.3": 8,
"FAU_STG.3.1": 1,
"FAU_STG.3.2": 1,
"FAU_STG.3.3": 2,
"FAU_STG.4": 3,
"FAU_STG.5": 3
},
"FCO": {
"FCO_NRO.2": 1
},
"FCS": {
"FCS_CKM": 72,
"FCS_CKM.1": 29,
"FCS_CKM.2": 17,
"FCS_CKM.5": 29,
"FCS_CKM.6": 30,
"FCS_CKM.6.1": 1,
"FCS_CKM.6.2": 1,
"FCS_COP": 105,
"FCS_COP.1": 33,
"FCS_RBG.1": 2,
"FCS_RNG": 1,
"FCS_RNG.1": 4
},
"FDP": {
"FDP_ACC": 3,
"FDP_ACC.1": 2,
"FDP_ACC.2": 12,
"FDP_ACC.2.1": 2,
"FDP_ACC.2.2": 1,
"FDP_ACF": 2,
"FDP_ACF.1": 19,
"FDP_ACF.1.1": 1,
"FDP_ACF.1.2": 2,
"FDP_ACF.1.3": 1,
"FDP_ACF.1.4": 1,
"FDP_IFC": 2,
"FDP_IFC.1": 2,
"FDP_IFC.2": 10,
"FDP_IFC.2.1": 1,
"FDP_IFC.2.2": 1,
"FDP_IFF": 2,
"FDP_IFF.1": 15,
"FDP_IFF.1.1": 1,
"FDP_IFF.1.2": 3,
"FDP_IFF.1.3": 1,
"FDP_IFF.1.4": 1,
"FDP_IFF.1.5": 1,
"FDP_ITC.1": 16,
"FDP_ITC.2": 16,
"FDP_RIP": 2,
"FDP_RIP.1": 1,
"FDP_RIP.2": 6,
"FDP_RIP.2.1": 1,
"FDP_SDI": 2,
"FDP_SDI.1": 1,
"FDP_SDI.2": 10,
"FDP_SDI.2.1": 1,
"FDP_SDI.2.2": 1
},
"FIA": {
"FIA_AFL": 2,
"FIA_AFL.1": 8,
"FIA_AFL.1.1": 1,
"FIA_AFL.1.2": 2,
"FIA_ATD": 2,
"FIA_ATD.1": 9,
"FIA_ATD.1.1": 1,
"FIA_UAU": 4,
"FIA_UAU.1": 10,
"FIA_UAU.1.1": 1,
"FIA_UAU.1.2": 1,
"FIA_UAU.2": 1,
"FIA_UAU.5": 6,
"FIA_UAU.5.1": 1,
"FIA_UAU.5.2": 1,
"FIA_UAU.6": 1,
"FIA_UID": 2,
"FIA_UID.1": 13,
"FIA_UID.1.1": 1,
"FIA_UID.1.2": 1,
"FIA_UID.2": 1,
"FIA_USB": 2,
"FIA_USB.1": 6,
"FIA_USB.1.1": 1,
"FIA_USB.1.2": 1,
"FIA_USB.1.3": 1
},
"FMT": {
"FMT_MOF": 2,
"FMT_MOF.1": 19,
"FMT_MOF.1.1": 1,
"FMT_MSA": 1,
"FMT_MSA.3": 4,
"FMT_MTD": 2,
"FMT_MTD.1": 11,
"FMT_MTD.1.1": 1,
"FMT_SMF": 2,
"FMT_SMF.1": 18,
"FMT_SMF.1.1": 1,
"FMT_SMR": 2,
"FMT_SMR.1": 11,
"FMT_SMR.1.1": 2,
"FMT_SMR.1.2": 1
},
"FPR": {
"FPR_CON": 5,
"FPR_CON.1": 8,
"FPR_CON.1.1": 2,
"FPR_CON.1.2": 6,
"FPR_PSE": 2,
"FPR_PSE.1": 5,
"FPR_PSE.1.1": 1,
"FPR_PSE.1.2": 1,
"FPR_PSE.1.3": 1
},
"FPT": {
"FPT_FLS": 2,
"FPT_FLS.1": 11,
"FPT_FLS.1.1": 1,
"FPT_PHP": 2,
"FPT_PHP.1": 6,
"FPT_PHP.1.1": 1,
"FPT_PHP.1.2": 1,
"FPT_RPL": 2,
"FPT_RPL.1": 5,
"FPT_RPL.1.1": 1,
"FPT_RPL.1.2": 1,
"FPT_STM": 4,
"FPT_STM.1": 19,
"FPT_STM.1.1": 1,
"FPT_STM.2": 11,
"FPT_STM.2.1": 1,
"FPT_TST": 2,
"FPT_TST.1": 12,
"FPT_TST.1.1": 1,
"FPT_TST.1.2": 1,
"FPT_TST.1.3": 1
},
"FTP": {
"FTP_ITC": 1,
"FTP_PRO": 151,
"FTP_PRO.1": 42,
"FTP_PRO.2": 33,
"FTP_PRO.3": 19
}
},
"certification_process": {
"OutOfScope": {
"The part of the delivery that is performed by and under responsibility of the MPO is declared as out of scope of the evaluation and certification. The MPO is assumed to perform this delivery according to the": 1,
"out of scope": 1
}
},
"cipher_mode": {
"CBC": {
"CBC": 1
},
"CCM": {
"CCM": 2
},
"GCM": {
"GCM": 4
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"PACE": {
"PACE": 1
},
"TLS": {
"DTLS": {
"DTLS": 1
},
"TLS": {
"TLS": 49,
"TLS v1.2": 5,
"TLS v1.3": 10,
"TLSv1.2": 8,
"TLSv1.3": 9
}
}
},
"crypto_scheme": {
"MAC": {
"MAC": 21
}
},
"device_model": {},
"ecc_curve": {
"Brainpool": {
"brainpoolP256r1": 1,
"brainpoolP384r1": 1,
"brainpoolP512r1": 1
},
"NIST": {
"secp256r1": 2,
"secp384r1": 2
}
},
"eval_facility": {},
"hash_function": {
"SHA": {
"SHA2": {
"SHA-256": 5,
"SHA-384": 5,
"SHA-512": 3,
"SHA256": 1,
"SHA384": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {
"FI": {
"malfunction": 1,
"physical tampering": 2
}
},
"standard_id": {
"BSI": {
"AIS 32": 1,
"AIS32": 2
},
"RFC": {
"RFC2104": 2,
"RFC3394": 2,
"RFC3565": 2,
"RFC4493": 4,
"RFC5083": 2,
"RFC5084": 2,
"RFC5246": 4,
"RFC5289": 2,
"RFC5652": 2,
"RFC5869": 1,
"RFC7027": 2,
"RFC7366": 3,
"RFC8422": 5,
"RFC8446": 6,
"RFC8734": 3
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 16,
"AES-128": 1,
"AES-256": 1
}
},
"constructions": {
"MAC": {
"CMAC": 2,
"HMAC": 8
}
}
},
"technical_report_id": {
"BSI": {
"BSITR-03109-1": 4,
"BSITR-03109-3": 15
}
},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1
}
},
"vendor": {},
"vulnerability": {}
},
"pp_metadata": {
"/Author": "Bundesamt f\u00fcr Sicherheit in der Informationstechnik",
"/Subject": "",
"/Title": "Protection Profile for a Smart Meter Gateway (SMGW-PP) - Version 2.0 - 13.12.2024 - Certification-ID: BSI-CC-PP-0073-V2",
"pdf_file_size_bytes": 2091634,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://www.bsi.bund.de",
"mailto:[email protected]"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 114
},
"report_filename": "pp0073V2a_pdf.pdf",
"report_keywords": {
"asymmetric_crypto": {},
"cc_cert_id": {},
"cc_claims": {},
"cc_protection_profile_id": {
"BSI": {
"BSI-CC-PP-0073-V2-2024": 15
}
},
"cc_sar": {
"ALC": {
"ALC_DEL": 1,
"ALC_FLR": 1,
"ALC_FLR.2": 2
},
"APE": {
"APE_CCL.1": 1,
"APE_ECD.1": 1,
"APE_INT.1": 1,
"APE_OBJ.2": 1,
"APE_REQ.2": 1,
"APE_SPD.1": 1
},
"AVA": {
"AVA_VAN.5": 2
}
},
"cc_security_level": {
"EAL": {
"EAL 2": 1,
"EAL 4": 3,
"EAL 4 augmented": 2
}
},
"cc_sfr": {},
"certification_process": {
"ConfidentialDocument": {
"11.12.2024, Evaluation Technical Report - Summary (ETR), SRC Security Research \u0026 Consulting GmbH (confidential document": 1
}
},
"cipher_mode": {},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {},
"eval_facility": {
"SRC": {
"SRC Security Research \u0026 Consulting": 3
}
},
"hash_function": {},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {},
"side_channel_analysis": {},
"standard_id": {
"BSI": {
"AIS 32": 1
},
"ISO": {
"ISO/IEC 15408": 4,
"ISO/IEC 17065": 2,
"ISO/IEC 18045": 4
}
},
"symmetric_crypto": {},
"technical_report_id": {},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"report_metadata": {
"/Author": "Federal Office for Information Security",
"/Keywords": "\"Common Criteria, Certification, Zertifizierung, Protection Profile, Schutzprofil, Smart Meter Gateway, PP\"",
"/Subject": "Common Criteria, Certification, Zertifizierung, Protection Profile, Schutzprofil, Smart Meter Gateway, PP",
"/Title": "Certification Report BSI-CC-PP-0073-V2-2024",
"pdf_file_size_bytes": 397116,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://www.iso.org/standard/72906.html",
"https://www.iso.org/standard/72913.html",
"https://www.iso.org/standard/72917.html",
"https://www.bsi.bund.de/Gebuehrenverordnung",
"https://www.iso.org/standard/72891.html",
"https://www.iso.org/standard/72889.html",
"https://www.sogis.eu/",
"https://www.bsi.bund.de/",
"https://www.iso.org/standard/72892.html",
"http://www.gesetze-im-internet.de/bsig_2009/index.html",
"https://www.commoncriteriaportal.org/",
"https://www.bsi.bund.de/zertifizierung",
"http://www.gesetze-im-internet.de/bsizertv_2014/index.html"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 16
}
},
"scheme_metadata": null,
"state": {
"_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
"pp": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "aee0a90a19aef944ef01f03e6c4914ce09ac667c17e2aaa4333b9f992f55d9ac",
"source_hash": "4894d85563ad7a4810ea72b31a336d0e0375107b324e53e78831b26f59a4a1d7",
"txt_hash": "2f9dd1aec31b67f62db65aaff8ffb15377a17b12f2fe79aae7d49f7690e0e158"
},
"report": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "2efa5da3fc1516028705b32b223c0d21922d77e7473ce2c988038fedde854708",
"source_hash": "5bf2a37b96226352dd6797c7f106fbcda5b4dad1106baf8c1bc9f7e11fb80f32",
"txt_hash": "68a0d731c529d6299f7be7b9994e69891c8136792e44072f649f76d3d537f3d2"
}
},
"web_data": {
"_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
"category": "Network and Network-Related Devices and Systems",
"is_collaborative": false,
"maintenances": [],
"name": "Protection Profile for a Smart Meter Gateway (SMGW-PP), Version 2.0",
"not_valid_after": null,
"not_valid_before": "2024-12-19",
"pp_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/pp0073V2b_pdf.pdf",
"report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/pp0073V2a_pdf.pdf",
"scheme": "DE",
"security_level": {
"_type": "Set",
"elements": [
"AVA_VAN.5",
"EAL4+",
"ALC_FLR.2"
]
},
"status": "active",
"version": "Version 2.0"
}
}